local parse = parse
local player = player

local items = {
--Check for weapon ids = https://www.cs2d.com/weapons.php
	[10] = { knockback = 20 },
	[30] = { knockback = 15 },
	[32] = { knockback = 15 }
}

addhook("hit","hitHook")
function hitHook(victim, attacker, weapon, dmg)
	local vc, atk = player(victim,"team"), player(attacker,"team")
	
	local function knockBack(victim, attacker, knockBackAmount)
		local victimX, victimY = player(victim, "x"), player(victim, "y")
		local attackerX, sourceY = player(attacker, "x"), player(attacker, "y")
		
		local angle = math.atan2(victimY - sourceY, victimX - attackerX)
		
		local knockBackX = victimX + (knockBackAmount * math.cos(angle))
		local knockBackY = victimY + (knockBackAmount * math.sin(angle))	
	
		if not tile(math.floor(knockBackX / 32), math.floor(knockBackY / 32), "wall") then
			parse("setpos "..victim.." "..knockBackX.." "..knockBackY)
		end
	end

	if items[weapon] and vc ~= atk and dmg ~= 0 then
		knockBack(victim, attacker, items[weapon].knockback)
	end
end